Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZWorkflowEvent Class Reference
Inheritance diagram for eZWorkflowEvent:

## Public Member Functions
| __construct ( $row)
| eZWorkflowEvent ( $row)
| move ( $down, $params=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| eventType ()
| content ()
| setContent ( $content)
| customHTTPAction ( $http, $action)
| store ( $fieldFilters=null)
| storeDefined ( $fieldFilters=null)
Public Member Functions inherited from eZPersistentObject
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| sync ( $fieldFilters=null)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)

## Static Public Member Functions
static | definition ()
static | create ( $workflowID, $typeString)
static | fetch ( $id, $asObject=true, $version=0, $field_filters=null)
static | fetchList ( $asObject=true)
static | fetchFilteredList ( $cond, $asObject=true)
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Public Attributes
| $EventType
| $ID
| $Version
| $WorkflowID
| $TypeString
| $Description
| $Placement
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $Content
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average

## Additional Inherited Members
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

! eZKernel The class eZWorkflowEvent does

Definition at line 17 of file ezworkflowevent.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZWorkflowEvent::__construct | ( |  | $row | ) |

Initializes the object with the $row.

It will try to set each field taken from the database row. Calls fill to do the job. If $row is an integer, it will try to fetch it from the database using it as the unique ID.

Parameters

  int | array | $row |

Reimplemented from eZPersistentObject.

Definition at line 20 of file ezworkflowevent.php.

Referenced by eZWorkflowEvent().

## Member Function Documentation

## ◆ attribute()

eZWorkflowEvent::attribute | ( |  | $attr,
|  |  | $noFunction = `false`
| ) |  |

Returns the attribute data for $attr, this is either returned from the member variables or a member function depending on whether the definition field or function attributes matched.

Parameters

  string | $attr |
  bool | $noFunction |

Returns
  mixed

Reimplemented from eZPersistentObject.

Definition at line 198 of file ezworkflowevent.php.

References eventType().

Referenced by store().

## ◆ attributes()

eZWorkflowEvent::attributes | ( |  | ) |

Returns the attributes for this object, taken from the definition fields and function attributes.

See also
  eZPersistentObject::definition()

Returns
  array

Reimplemented from eZPersistentObject.

Definition at line 186 of file ezworkflowevent.php.

References eventType().

## ◆ content()

eZWorkflowEvent::content | ( |  | ) |

Returns the content for this event.

Definition at line 221 of file ezworkflowevent.php.

References $Content, and eventType().

## ◆ create()

static eZWorkflowEvent::create | ( |  | $workflowID,
|  |  | $typeString
| ) |  |
| static

Creates a new workflow event

Parameters

  int | $workflowID |
  string | $typeString |

Returns
  eZWorkflowEvent

Definition at line 123 of file ezworkflowevent.php.

References definition(), eZWorkflowEvent(), and eZPersistentObject\newObjectOrder().

## ◆ customHTTPAction()

eZWorkflowEvent::customHTTPAction | ( |  | $http,
|  |  | $action
| ) |  |

Executes the custom HTTP action

Definition at line 244 of file ezworkflowevent.php.

References eventType().

## ◆ definition()

static eZWorkflowEvent::definition | ( |  | ) |
| static

Returns the definition for the object, the default implementation is to return an empty array. It's upto each inheriting class to return a proper definition array.

The definition array is an associative array consists of these keys:

- fields: an associative array of fields which defines which database field (the key) is to fetched and how they map to object member variables (the value).
- keys: an array of fields which is used for uniquely identifying the object in the table.
- function_attributes: an associative array of attributes which maps to member functions, used for fetching data with functions.
- set_functions: an associative array of attributes which maps to member functions, used for setting data with functions.
- increment_key: the field which is incremented on table inserts.
- class_name: the classname which is used for instantiating new objecs when fetching from the database.
- sort: an associative array which defines the default sorting of lists, the key is the table field while the value is the sorting method which is either 'asc' or 'desc'.
- name: the name of the database table

Example: `public static function definition() { return array( "fields" => array( "id" => "ID", "version" => "Version", "name" => "Name" ), "keys" => array( "id", "version" ), "function_attributes" => array( "current" => "currentVersion", "class_name" => "className" ), "increment_key" => "id", "class_name" => "eZContentClass", "sort" => array( "id" => "asc" ), "name" => "ezcontentclass" ); }`

Returns
  array

Reimplemented from eZPersistentObject.

Definition at line 35 of file ezworkflowevent.php.

Referenced by create(), fetch(), eZWorkflow\fetchEventCount(), eZWorkflow\fetchEventCountByWorkflowID(), eZWorkflow\fetchEventIndexed(), fetchFilteredList(), fetchList(), move(), eZWorkflow\removeEvents(), eZWorkflow\removeTemporary(), and eZWorkflow\removeThis().

## ◆ eventType()

eZWorkflowEvent::eventType | ( |  | ) |

Definition at line 209 of file ezworkflowevent.php.

References $EventType, and eZWorkflowType\createType().

Referenced by attribute(), attributes(), content(), customHTTPAction(), hasAttribute(), store(), and storeDefined().

## ◆ eZWorkflowEvent()

eZWorkflowEvent::eZWorkflowEvent | ( |  | $row | ) |

Deprecated:
  Use eZWorkflowEvent::__construct() instead

Parameters

  array | $row |

Definition at line 30 of file ezworkflowevent.php.

References __construct().

Referenced by create().

## ◆ fetch()

static eZWorkflowEvent::fetch | ( |  | $id,
|  |  | $asObject = `true`,
|  |  | $version = `0`,
|  |  | $field_filters = `null`
| ) |  |
| static

Definition at line 138 of file ezworkflowevent.php.

References definition(), and eZPersistentObject\fetchObject().

Referenced by eZMultiplexerType\execute(), eZWorkflowProcess\lastWorkflowEvent(), eZWorkflowProcess\removeThis(), eZWorkflowProcess\run(), and eZWorkflowProcess\workflowEvent().

## ◆ fetchFilteredList()

static eZWorkflowEvent::fetchFilteredList | ( |  | $cond,
|  |  | $asObject = `true`
| ) |  |
| static

Definition at line 154 of file ezworkflowevent.php.

References definition(), and eZPersistentObject\fetchObjectList().

Referenced by eZWorkflow\fetchEvents(), and eZWorkflow\fetchEventsByWorkflowID().

## ◆ fetchList()

static eZWorkflowEvent::fetchList | ( |  | $asObject = `true` | ) |
| static

Definition at line 147 of file ezworkflowevent.php.

References definition(), and eZPersistentObject\fetchObjectList().

## ◆ hasAttribute()

eZWorkflowEvent::hasAttribute | ( |  | $attr | ) |

Checks if $attr is part of the definition fields or function attributes.

Parameters

  string | $attr |

Returns
  bool

Reimplemented from eZPersistentObject.

Definition at line 191 of file ezworkflowevent.php.

References eventType().

## ◆ move()

eZWorkflowEvent::move | ( |  | $down,
|  |  | $params = `null`
| ) |  |

Moves the object down if $down is true, otherwise up. If object is at either top or bottom it is wrapped around.

Definition at line 165 of file ezworkflowevent.php.

References $Placement, $Version, $WorkflowID, definition(), and eZPersistentObject\reorderObject().

## ◆ setContent()

eZWorkflowEvent::setContent | ( |  | $content | ) |

Sets the content for the current event

Definition at line 235 of file ezworkflowevent.php.

## ◆ store()

eZWorkflowEvent::store | ( |  | $fieldFilters = `null` | ) |

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Reimplemented from eZPersistentObject.

Definition at line 254 of file ezworkflowevent.php.

References attribute(), eventType(), eZDB\instance(), and eZDebug\writeError().

## ◆ storeDefined()

eZWorkflowEvent::storeDefined | ( |  | $fieldFilters = `null` | ) |

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 278 of file ezworkflowevent.php.

References eventType(), eZDB\instance(), and eZDebug\writeError().

## Member Data Documentation

## ◆ $Content

eZWorkflowEvent::$Content

Definition at line 314 of file ezworkflowevent.php.

Referenced by content().

## ◆ $DataInt1

eZWorkflowEvent::$DataInt1

Definition at line 306 of file ezworkflowevent.php.

## ◆ $DataInt2

eZWorkflowEvent::$DataInt2

Definition at line 307 of file ezworkflowevent.php.

## ◆ $DataInt3

eZWorkflowEvent::$DataInt3

Definition at line 308 of file ezworkflowevent.php.

## ◆ $DataInt4

eZWorkflowEvent::$DataInt4

Definition at line 309 of file ezworkflowevent.php.

## ◆ $DataText1

eZWorkflowEvent::$DataText1

Definition at line 310 of file ezworkflowevent.php.

## ◆ $DataText2

eZWorkflowEvent::$DataText2

Definition at line 311 of file ezworkflowevent.php.

## ◆ $DataText3

eZWorkflowEvent::$DataText3

Definition at line 312 of file ezworkflowevent.php.

## ◆ $DataText4

eZWorkflowEvent::$DataText4

Definition at line 313 of file ezworkflowevent.php.

## ◆ $Description

eZWorkflowEvent::$Description

Definition at line 304 of file ezworkflowevent.php.

## ◆ $EventType

eZWorkflowEvent::$EventType

Definition at line 19 of file ezworkflowevent.php.

Referenced by eventType().

## ◆ $ID

eZWorkflowEvent::$ID

Definition at line 300 of file ezworkflowevent.php.

## ◆ $Placement

eZWorkflowEvent::$Placement

Definition at line 305 of file ezworkflowevent.php.

Referenced by move().

## ◆ $TypeString

eZWorkflowEvent::$TypeString

Definition at line 303 of file ezworkflowevent.php.

## ◆ $Version

eZWorkflowEvent::$Version

Definition at line 301 of file ezworkflowevent.php.

Referenced by move().

## ◆ $WorkflowID

eZWorkflowEvent::$WorkflowID

Definition at line 302 of file ezworkflowevent.php.

Referenced by move().

The documentation for this class was generated from the following file:

- ezworkflowevent.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.